CVE-2017-14977 (retired)

Priority
Description
The FoFiTrueType::getCFFBlock function in FoFiTrueType.cc in Poppler 0.59.0
has a NULL pointer dereference vulnerability due to lack of validation of a
table pointer, which allows an attacker to launch a denial of service
attack.
Package
Upstream:needs-triage
Ubuntu 12.04 ESM (Precise Pangolin):DNE
Ubuntu 14.04 LTS (Trusty Tahr):released (0.24.5-2ubuntu4.7)
Ubuntu 16.04 LTS (Xenial Xerus):released (0.41.0-0ubuntu1.4)
Patches:
Upstream:https://cgit.freedesktop.org/poppler/poppler/commit/?id=19eedc6fb693a62f305e13079501e3105f869f3c
More Information

Updated: 2019-03-26 12:25:07 UTC (commit ccdecfcf0fead22bd291e5f4ea745a46872dcb15)